# delimit;

clear;     set mem 20m;     cd u:\ue3;

use MROZ_87;  save look, replace;


***  Die Regression  ***;

logit inlf nwifeinc educ exper expersq age kidslt6 kidsge6;



***  Lineare Vorhersage  ***;

predict xb_logit, xb;



***  Partieller Effekt der Ausbildung berechnen & zeichen  ***;

sum educ;


* 1:  Ausbildungsteil abziehen;

gen xb_less=xb_logit - 0.22117*educ;


* 2:  Durchschnittsvorhersage ohne Ausbildung berechnen;

egen d_xb_less=mean(xb_less);


* 3:  Eine Reihe der Ausbildungsjahren erzeugen;

egen year=fill(1 2);   replace year=. if year <5 | year > 25;


/*  der Befehl replace ersetzt die Werte des Jahres groessere als 25 durch einen  **
**  Fehlwert, denn alle haben eine groessere Anzahl an Ausbildungsjahren als 5   **
**  und kleinere Anzahl an Ausbildungsjahren als 25                                                 */


* 4:  Durchschnittsvorhersage mit dem steigenden Ausbildung erzeugen;

gen xb_final=d_xb_less+0.22117*year;


* 5:  Schliesslich, der Partielle Effekt fr Logit berechnen;

gen pe_final = 0.22117 * ( exp(- xb_final) / ((1 + exp(- xb_final))^2) );

 
* 6:  Partieller Effekt der Ausbildung als Funktion des Arbeitserfahrungsjahres zeichnen;

label var year "Ausbildung (Jahre)";  
label var pe_final "Partieller Effekt der Ausbildung";

twoway line pe_final year;


***  ... die Welt ist nicht linear  ***;

save look, replace;


