# delimit;

clear;   set mem 20m;   cd u:\ue3;  

cap log close;   log using uebung3, text replace;

/************************************************************************/

use MROZ_87;   save work, replace;

describe;



/*************************************************************************
***          Abhaengige Variable und unabhaengige Variablen           ***
*************************************************************************/

tab inlf;   sum inlf;

sum nwifeinc educ exper expersq age kidslt6 kidsge6;



/*************************************************************************
***                                         L O G I T                                              ***
*************************************************************************/

logit inlf nwifeinc educ exper expersq age kidslt6 kidsge6;



/* * * * * * * * *        Vorhersagen im Logit-Modell         * * * * * * * * */

predict p_logit;            sum p_logit;

predict xb_logit, xb;    sum xb_logit;



/* * * * * * *          Partielle Effekte im Logit-Modell           * * * * * * */

mfx compute;                                           /*   PE fuer Mittelwerten   */

mfx compute, at(educ=15);                      /*.. fuer bestimmte Werte */
mfx compute, at(educ=15, exper=2);       /*.. fuer mehrere Werte    */




/*************************************************************************
***                                       P R O B I T                                             ***
*************************************************************************/

probit inlf nwifeinc educ exper expersq age kidslt6 kidsge6;



/* * * * * * * * *       Vorhersagen im Probit-Modell         * * * * * * * * */

predict p_probit;             sum p_probit;

predict xb_probit, xb;     sum xb_probit;



/* * * * * * *        Partielle Effekte im Probit-Modell           * * * * * * */

mfx compute;                                           /*   PE fuer Mittelwerten   */

mfx compute, at(educ=10, exper=2);      /*.. fuer bestimmte Werte */



/* * * * * *      Testen von Hypothesen im Probit-Modell      * * * * * */


** ist ein Jahr Ausbildung einem Jahr Arbeitserfahrung gelich?;

test educ=exper;


** kleine Kinder sind keine grosse Kinder!;

test kidslt6=kidsge6;



/*************************************************************************
***                        L O G I T     vs.     P R O B I T                               ***
*************************************************************************/

sum p_logit p_probit;

twoway scatter p_probit p_logit;


/************************************************************************/

save work, replace;

log close;

